Skip to main content
GET
Read the « Index in Context » switch and sync progress of a Notion connection

Authorizations

Authorization
string
header
required

An aik_… programmatic API key (app.atako.ai → Settings → API keys) or a Supabase session JWT.

Path Parameters

id
string
required

Connection id

Response

enabled
boolean

The « Indexer dans le Contexte » switch (config.indexInContext, off by default).

phase
enum<string>
Available options:
idle,
discovering,
indexing,
error
discovered
integer
indexable
integer
indexed
integer
skipped
integer
failed
integer
cursor
string<date-time> | null
lastFullScanAt
string<date-time> | null
startedAt
string<date-time> | null
finishedAt
string<date-time> | null
error
string | null